@echo off
REM %%VER NetWare 386 Drivers Installation Utility Program v1.0c

REM ******************************************************************

REM    Updates FDDILink network adapter drivers in a NW 386 system
REM    Format: From the \NETWARE subdirectory
REM              > 386\update [target_drive:]

REM ******************************************************************

..\install\echoxy 17 10    Installing the NetWare 386 server driver in %1            
..\install\echoxy 18 10                                                       

REM  clear the next line and set up the cursor, so we can display the
REM  error message correctly.
..\install\echoxy 21 10                                                       
..\install\echoxy 21 10    

set update=n

REM  see if the path exist
REM
copy ..\install\tmp.$ %1 > nul
if not exist %1\*.* goto errmsg1
del %1\tmp.$ > nul
REM  clear the error message
..\install\echoxy 21 10                                                       

REM  install Server drivers
REM
 
if not exist %1\3c770.lan goto ST1
copy %1\3c770.lan %1\3c770.old > nul
set update=y
:ST1
copy  386\3c770.lan %1\3c770.lan > nul

if not exist %1\smt.nlm goto ST2
copy %1\smt.nlm %1\rsmt.old > nul
set update=y
:ST2
copy  386\smt.nlm %1\smt.nlm > nul


if %update%==y goto UPDATEDONE

..\install\echoxy 17 13 The NetWare 386 drivers have been installed in %1.       
..\install\echoxy 19 13 Please reference "Important Readme / Release Notes"
..\install\echoxy 20 13 in MAIN MENU for detail on how to load the drivers.
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.         
..\install\reply
netware

:UPDATEDONE
..\install\echoxy 17 13 The NetWare 386 drivers in %1 have been updated.         
..\install\echoxy 19 13 Please reference "Important Readme / Release Notes"
..\install\echoxy 20 13 in MAIN MENU for detail on how to load the drivers.
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.  
..\install\reply
netware

:errmsg1
REM specified path not exist, tmp.$ has been copied to %1 file
REM so delete it

REM  clear the next line and set up the cursor, so we can display the
REM  "Invalid driver specification" error message correctly.
..\install\echoxy 21 10                                                       
..\install\echoxy 21 10    
del %1 > nul

:errmsg
..\install\echoxy 17 13       *** Error:  No Files Were Updated! ***             
..\install\echoxy 18 13 Make sure that you have entered the correct target
..\install\echoxy 19 13 path and that you have access rights to the files.
..\install\echoxy 20 13                                                        
..\install\echoxy 22 13 Strike any key to return to the NetWare menu.
..\install\reply
netware

